Skip to main content
GET
/
v3
/
enterprise
/
sessions
/
{devin_id}
/
messages
List session messages
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/sessions/{devin_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": 123,
      "event_id": "<string>",
      "message": "<string>",
      "source": "devin"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Permissions

Requires a service user with the ViewAccountSessions permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

devin_id
string | null
required

Query Parameters

qs
CursorPaginationParams · object
required
org_id
string | null

Response

Successful Response

items
SessionMessage · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).